#include "reparto.h"

float spesaGenerale(Paziente* p,int dim)
{
	float spesaTotale=0;
	Cartella* temp; 
	int dimTemp;
	float costoPaziente=0;
	int i;
	
	for(i=0;i<dim;++i)
	{	
		temp=cartellaClinica(p[i],&dimTemp,&costoPaziente);
		
		if(p[i].cat_malattia=='A')
		{
			if(costoPaziente*0.25>50)
				costoPaziente-=50;
			else
				costoPaziente-=costoPaziente*0.25;
		}
				
		if(p[i].cat_malattia=='B')
		{
			if(costoPaziente*0.25>20)
				costoPaziente-=20;
			else
				costoPaziente-=costoPaziente*0.25;
		}
				
		spesaTotale+=costoPaziente;
		
		free(temp);
	}
	
	return(spesaTotale);
}

void statistiche(Paziente *p,int dim)
{
	int i,j;
	int dimTemp;
	Cartella* temp;
	float costo;
	
	
	printf("\nCategoria A:");
	
	for(i=0;i<dim;++i)
		if(p[i].cat_malattia=='A')
		{
			temp=cartellaClinica(p[i],&dimTemp,&costo);	
			
			for(j=0;j<dimTemp;++j)
				printf("\n\tCat. Cura: %d\n\tDosi: %d\n",temp[j].cat_cura,temp[j].n_dosi);
			
			free(temp); //FREE #2
		}
	
	printf("\nCategoria B:");
	
	for(i=0;i<dim;++i)
		if(p[i].cat_malattia=='B')
		{
			temp=cartellaClinica(p[i],&dimTemp,&costo);	
			
			for(j=0;j<dimTemp;++j)
				printf("\n\tCat. Cura: %d\n\tDosi: %d\n",temp[j].cat_cura,temp[j].n_dosi);
			
			free(temp); //FREE #2
		}

	printf("\nCategoria C:");

	for(i=0;i<dim;++i)
		if(p[i].cat_malattia=='C')
		{
			temp=cartellaClinica(p[i],&dimTemp,&costo);	
			
			for(j=0;j<dimTemp;++j)
				printf("\n\tCat. Cura: %d\n\tDosi: %d\n",temp[j].cat_cura,temp[j].n_dosi);
			
			free(temp); //FREE #2
		}
	
	return;
}
  
