#include "reparto.h"
#include "funzioni.h"

int main()
{
	int dimPazienti=0;
	int dimCartella=0;
	Paziente* arrayPazienti;
	int i,j;
	Cartella* temp;
	float costoPaziente=0;
	float costoReparto=0;
	
	arrayPazienti=readPazienti("pazienti.txt",&dimPazienti);
	
	printf("Pazienti:");
	
	for(i=0;i<dimPazienti;++i)
	{
		stampaPaziente(arrayPazienti[i]); // Esercizio 1
		temp=cartellaClinica(arrayPazienti[i],&dimCartella,&costoPaziente);	
		
		for(j=0;j<dimCartella;++j)
			printf("\n\t\tCat. Cura: %d\n\t\tDosi: %d\n",temp[j].cat_cura,temp[j].n_dosi);  // Esercizio 2
		
		printf("\n\tCosto paziente: %.2f\n",costoPaziente);
		
		free(temp);
	}
	
	costoReparto=spesaGenerale(arrayPazienti,dimPazienti); //Esercizio 3
	
	printf("\n\nIl costo totale del reparto è: %.2f\n",costoReparto);
	
	printf("\nStatistiche:\n"); // Esercizio 4
	
	statistiche(arrayPazienti,dimPazienti);
	
	free(arrayPazienti);
	
	return(0);
}
